Skip to main content
GET
/
v0
/
list-brands
Python
import os
from channel3_sdk import Channel3

client = Channel3(
    api_key=os.environ.get("CHANNEL3_API_KEY"),  # This is the default and can be omitted
)
paginated_list_brands_response = client.brands.list()
print(paginated_list_brands_response.items)
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "logo_url": "<string>",
      "description": "<string>",
      "best_commission_rate": 0
    }
  ],
  "paging_token": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

limit
integer
default:20

Max results (1-100)

Required range: 1 <= x <= 100
paging_token
string | null

Pagination cursor

Response

Successful Response

items
Brand · object[]
required

List of brands

paging_token
string | null

Cursor to fetch the next page of results. Null if no more results.